#block-kidneys-branding {
  height: 160px;
}

nav.navbar {
  height: auto !important;
  background-image: url('../images/grey_road.svg');
  background-repeat: repeat-x;
  background-size: cover;
  &::before {
    content: '';
    background-image: url('../images/plants_dog_cats.svg');
    height: 10rem;
    width: 100%;
    position: absolute;
    top: -10rem;
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: bottom;
  }
}
// on mobile we can make the width 130% to be a little bigger at the cost of losing a couple bushes

.l-header {
  position: relative;
  &::before {
    content: '';
    background-image: url('../images/car.svg');
    height: 10rem;
    width: 90%;
    position: absolute;
    bottom: 0rem;
    background-repeat: no-repeat;
    background-position-x: right;
    background-position-y: bottom;
    z-index: 100;
  }
}

/*
// cannot place tree it has a white background
.chalkboard {
  position: relative;
  &::before {
    content: '';
    background-image: url("../images/tree-pink.jpg");
    position: absolute;
    width: 100%;
    height: 10rem;
    bottom: 0;
    background-repeat: no-repeat;
    background-position-x: right;
    background-position-y: bottom;
    z-index: 100;
    background-color: blueviolet;
  }
}
*/

@media (min-width: 480px) {
  .navbar-collapse.collapse {
    height: 5rem !important;
  }
}

.navbar-brand {
  padding: 0;
  width: 135px;
  height: auto;
}

.navbar-nsf {
  margin-top: 1rem;
//  display: none;
}

.navbar-toggle .icon-bar {
  background-color: #DCE0DF;
}

.container-fluid > .navbar-collapse.navbar-user {
  margin-left: -15px;
  margin-right: -15px;
}

.navbar-collapse.navbar {
  padding-left: 0;
  padding-right: 0;
}

.navbar-user {
  float: right;
}

.menu {
  padding-left: 0;
}

.navbar-form {
  margin-top: 0;
  .form-group {
    margin-bottom: 2px;
  }
  .form-control, .form-submit {
    font-size: 13px;
    padding: 1px;
    height: 20px;
  }
}

@media  (min-width: $screen-sm-min) {
  .navbar-header {
    width: 195px;
  }

  .navbar-nsf, .navbar-twig {
    display: block;
  }

  .navbar-header {
    width: 60%;
    .navbar-twig {
      display: flex;
      align-items: center;
      padding-left: 1rem;
      width: 20rem;
      .site-name {
        margin-bottom: 0;
      }
    }
  }
  .navbar-user {
    width: 40%;
  }

  .navbar {

    margin-bottom: 0;

    .navbar-brand > img {
      display: inline-block;
      margin-right: 10px;
      position: relative;
      top: -30px;
      vertical-align: top;
    }

    li > a {
      text-align: center;
    }

    // Keep breadcrumbs etc. below the absolutely-positioned submenu.
    ul.navbar-nav {
      margin-bottom: 0;
    }
    ul.navbar-nav ul {
      padding: 0;
      li {
        display: inline-block;
      }
      li.active {
        a {
          color: $guts-green;
        }
        a:hover {
          background-color: white;
        }
      }
    }
  }

  .navbar-form {
    margin-top: 31.5px;
    .form-group {
      margin-bottom: 0;
    }
    .form-control, .form-submit {
      font-size: 16px;
      padding: 6px 12px;
      height: 37px;
    }
  }

}

.menu-main, .menu-account, .menu-visitor-menu {
  a {
    color: white;
  }

  a:hover {
    color: $gray-lighter;
  }
}

.menu-account,
.menu-visitor-menu {
  float: right;
}

// Only show submenus on hover
.menu-account li ul {
  position: absolute;
  padding: 0;
  margin-left: 1rem;
  margin-top: .5rem;
}

.menu-account li:hover ul li:first-child a {
  border-left: dotted $brand-primary 1px;
}


.menu-account li ul li {
  visibility: hidden;
  a {
    border-right: dotted $brand-primary 1px;
    border-top: dotted $brand-primary 1px;
    border-bottom: dotted $brand-primary 1px;
    padding: .5em 1em;
    color: $brand-primary;
    &:hover {
      color: $brand-primary;
      background-color: $gray-lighter;
    }
  }
}

.menu-account li:hover ul li {
  visibility: visible;
}

.navbar-user li {
  display: inline-block;
  text-align: center;
  font-size: .8em;
}

.navbar-nav li {
  font-size: .9em;
  border-right: dashed 2px #3775AA;
}

.menu-main li ul {
  margin-top: 0;
  font-size: 14px;
}


.navbar-nav li ul li {
  text-align: center;
}

@media  (min-width: $screen-md-min) {

  .navbar-user li {
    font-size: .9em;
  }

  .navbar-nav li {
    font-size: 1em;
  }

  .menu-main li ul {
    font-size: 16px;
  }

}

.navbar-collapse.in {
  border-top: none;
  box-shadow: none;
}

.navbar-collapse.in.navbar-user {
  float: none;
  .menu-account, .menu-visitor-menu {
    float: none;
  }
  li {
    display: block;
    text-align: left;
  }
}

.navbar-collapse.in .navbar-nav > li > a {
  line-height: 10px;
}

.menu {
  font-family: $font-family-sans-serif;
  font-weight: bold;
}

.nav > li > a:hover {
  background-color: $gray-lighter;
  color: $brand-primary;
}

.menu-link-icon {
  background-color: #3775AA;
}

.nav > li.active > a.menu-link-icon {
  color: #FFCF59;
}

.menu-visitor-menu .menu-link-icon,
.menu-account .menu-link-icon {
  background-color: white;
  color: $brand-primary;
  overflow: visible;
  padding: .2rem 1rem;
  margin-left: 3px;
  &:hover {
    background-color: $brand-primary;
  }
}

.navbar-user.collapse {
  display: block;
  position: absolute;
  z-index: 500;
  top: 0;
  right: 0;
}

.navbar.navbar-collapse.collapse {
  display: block;
}

.nav > li {
	display: inline-block;
  position: unset;
}

.menu-main li.active ul {
  position: absolute;
  bottom: -3rem;
  background-color: #3775AA;
  height: 3rem;
  min-width: 30rem;
  z-index: 100;
  a {
    padding: .25rem 2rem;
    &.is-active {
      // Need to override .events .navbar ul.navbar-nav ul li.active a
      color: #FFCF59 !important;
      background-color: #3775AA !important;
    }
    &:hover {
      background-color: #3775AA !important;
    }
  }
}
